public inbox for linux-xfs@vger.kernel.org
 help / color / mirror / Atom feed
* xfstests: what's the difference between generic/043 and generic/044
@ 2015-05-04  1:49 Wang Sheng-Hui
  2015-05-04  2:02 ` Dave Chinner
  0 siblings, 1 reply; 3+ messages in thread
From: Wang Sheng-Hui @ 2015-05-04  1:49 UTC (permalink / raw)
  To: xfs

Hi,

I'm reading the source code of generic/044 in xfstests, and I cannot figure out the
difference compared with 043 testcase:
-------------------------------------------------------------------------------
$ diff -Nu 043 044
--- 043 2015-03-09 10:03:48.013887582 +0800
+++ 044 2015-03-09 10:03:48.013887582 +0800
@@ -1,5 +1,5 @@
 #! /bin/bash
-# FSQA Test No. 043
+# FSQA Test No. 044
 #
 # Test for NULL files problem
 #
@@ -56,6 +56,12 @@
                echo error creating/writing file $file
                exit
        fi
+       xfs_io -c "truncate 64k" $file > /dev/null
+       if [ $? -ne 0 ]
+       then
+               echo error truncating file $file
+               exit
+       fi
        let i=$i+1
 done


But before the 'truncate 64K', only 64K sized files are created:
                 xfs_io -f -c "pwrite -b 64k -S 0xff 0 64k" $file > /dev/null
So I think it's useless here, or some typo e.g smaller truncate needed?


Regards,
Wang Sheng-Hui
_______________________________________________
xfs mailing list
xfs@oss.sgi.com
http://oss.sgi.com/mailman/listinfo/xfs

^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2015-05-04  2:25 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2015-05-04  1:49 xfstests: what's the difference between generic/043 and generic/044 Wang Sheng-Hui
2015-05-04  2:02 ` Dave Chinner
2015-05-04  2:25   ` Wang Sheng-Hui

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox